import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.checkRegistryModelHealth({
id: "meetkai:my-custom-chat-v1",
});
console.log(result);
}
run();{
"is_available": true,
"checked_at": 1704067200000
}Probes the model’s provider endpoint and updates health status.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.checkRegistryModelHealth({
id: "meetkai:my-custom-chat-v1",
});
console.log(result);
}
run();{
"is_available": true,
"checked_at": 1704067200000
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Was this page helpful?